NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Facet::CleanupFacetBodyBuilder Class Reference

Represents a NXOpen::Facet::CleanupFacetBodyBuilder builder. More...

Inheritance diagram for NXOpen::Facet::CleanupFacetBodyBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CleanupOptions { CleanupOptionsNone, CleanupOptionsAnalyze, CleanupOptionsRepair }
 These represent the options for each facet defect. More...
 
enum  OriginalBodyOptions { OriginalBodyOptionsKeep, OriginalBodyOptionsHide, OriginalBodyOptionsDelete }
 These represent the options for handling the input bodies. More...
 

Public Member Functions

void DisplayCleanupReportInListWindow ()
 Displays the NXOpen::ListingWindow with numbers of various type of defects identified or repaired. More...
 
double DistanceTolerance ()
 Returns the tolerance value use to detect the faults in facet body and fix the same
Created in NX12.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions FoldedEdges ()
 Returns the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value
Created in NX10.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions InconsistentNormals ()
 Returns the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation
Created in NX10.0.0. More...
 
NXOpen::SelectDisplayableObjectListInputBodies ()
 Returns the input facet bodies to be analyzed or repaired
Created in NX10.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions LaminarSlits ()
 Returns the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned
Created in NX10.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions LongFacets ()
 Returns the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value
Created in NX10.0.0. More...
 
double MaxRatioLongFacets ()
 Returns the specified value used to define long facets
Created in NX10.0.0. More...
 
double MinAngleFoldedFacets ()
 Returns the minimum angle between adjacent facets to define folded facets
Created in NX10.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::OriginalBodyOptions OriginalBodyOption ()
 Returns the option for handling the input facet bodies
Created in NX11.0.0. More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions SelfIntersections ()
 Returns the option to identify or repair facets of the same mesh intersecting each other
Created in NX10.0.0. More...
 
void SetAllOptionsToAnalyze ()
 Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsAnalyze , which means to identify the defects only for the input bodies
Created in NX10.0.0. More...
 
void SetAllOptionsToNone ()
 Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsNone , which means to do nothing
Created in NX10.0.0. More...
 
void SetAllOptionsToRepair ()
 Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsRepair , which means to identify as well as repair the defects for the input bodies
Created in NX10.0.0. More...
 
void SetDistanceTolerance (double disTolerance)
 Sets the tolerance value use to detect the faults in facet body and fix the same
Created in NX12.0.0. More...
 
void SetFoldedEdges (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions foldedEdges)
 Sets the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value
Created in NX10.0.0. More...
 
void SetInconsistentNormals (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions inconsistentNormals)
 Sets the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation
Created in NX10.0.0. More...
 
void SetLaminarSlits (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions laminarSlits)
 Sets the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned
Created in NX10.0.0. More...
 
void SetLongFacets (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions longFacets)
 Sets the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value
Created in NX10.0.0. More...
 
void SetMaxRatioLongFacets (double maxRatioLongFacets)
 Sets the specified value used to define long facets
Created in NX10.0.0. More...
 
void SetMinAngleFoldedFacets (double minAngleFoldedFacets)
 Sets the minimum angle between adjacent facets to define folded facets
Created in NX10.0.0. More...
 
void SetOriginalBodyOption (NXOpen::Facet::CleanupFacetBodyBuilder::OriginalBodyOptions enumOriginalBodyOption)
 Sets the option for handling the input facet bodies
Created in NX11.0.0. More...
 
void SetSelfIntersections (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions selfIntersections)
 Sets the option to identify or repair facets of the same mesh intersecting each other
Created in NX10.0.0. More...
 
void SetShowInfo (bool showInfo)
 Sets the option to display numbers of various type of defects identified or repaired in the NXOpen::ListingWindow . More...
 
void SetThinFacets (NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions thinFacets)
 Sets the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value
Created in NX11.0.0. More...
 
bool ShowInfo ()
 Returns the option to display numbers of various type of defects identified or repaired in the NXOpen::ListingWindow . More...
 
NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions ThinFacets ()
 Returns the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value
Created in NX11.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Facet::CleanupFacetBodyBuilder builder.

It removes defects that are present in the surfaces of the bodies selected.
To create a new instance of this class, use NXOpen::Facet::FacetModelingCollection::CreateCleanupFacetBodyBuilder
Default values.

Property Value

FoldedEdges

Analyze

InconsistentNormals

Analyze

LaminarSlits

Analyze

LongFacets

Analyze

MaxRatioLongFacets

10

MinAngleFoldedFacets

15

OriginalBodyOption

Delete

SelfIntersections

Analyze

ShowInfo

0

ThinFacets

Analyze


Created in NX10.0.0.

Member Enumeration Documentation

These represent the options for each facet defect.

Enumerator
CleanupOptionsNone 

Don't perform Analysis or Repair.

CleanupOptionsAnalyze 

Perform Analysis.

CleanupOptionsRepair 

Perform Repair.

These represent the options for handling the input bodies.

Enumerator
OriginalBodyOptionsKeep 

Keep original body.

OriginalBodyOptionsHide 

Hide original body.

OriginalBodyOptionsDelete 

Delete original body.

Member Function Documentation

void NXOpen::Facet::CleanupFacetBodyBuilder::DisplayCleanupReportInListWindow ( )

Displays the NXOpen::ListingWindow with numbers of various type of defects identified or repaired.

If we call this method externally without UI, it displays the information on standard output device. The listing window output can be sent to the Information window or to a file, or to both. See NXOpen::ListingWindow::SelectDevice for more information.


Created in NX11.0.0.

License requirements : None

double NXOpen::Facet::CleanupFacetBodyBuilder::DistanceTolerance ( )

Returns the tolerance value use to detect the faults in facet body and fix the same
Created in NX12.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::FoldedEdges ( )

Returns the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value
Created in NX10.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::InconsistentNormals ( )

Returns the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation
Created in NX10.0.0.



License requirements : None

NXOpen::SelectDisplayableObjectList* NXOpen::Facet::CleanupFacetBodyBuilder::InputBodies ( )

Returns the input facet bodies to be analyzed or repaired
Created in NX10.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::LaminarSlits ( )

Returns the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned
Created in NX10.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::LongFacets ( )

Returns the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value
Created in NX10.0.0.



License requirements : None

double NXOpen::Facet::CleanupFacetBodyBuilder::MaxRatioLongFacets ( )

Returns the specified value used to define long facets
Created in NX10.0.0.



License requirements : None

double NXOpen::Facet::CleanupFacetBodyBuilder::MinAngleFoldedFacets ( )

Returns the minimum angle between adjacent facets to define folded facets
Created in NX10.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::OriginalBodyOptions NXOpen::Facet::CleanupFacetBodyBuilder::OriginalBodyOption ( )

Returns the option for handling the input facet bodies
Created in NX11.0.0.



License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::SelfIntersections ( )

Returns the option to identify or repair facets of the same mesh intersecting each other
Created in NX10.0.0.



License requirements : None

void NXOpen::Facet::CleanupFacetBodyBuilder::SetAllOptionsToAnalyze ( )

Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsAnalyze , which means to identify the defects only for the input bodies
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Facet::CleanupFacetBodyBuilder::SetAllOptionsToNone ( )

Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsNone , which means to do nothing
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Facet::CleanupFacetBodyBuilder::SetAllOptionsToRepair ( )

Sets all cleanup options to Facet::CleanupFacetBodyBuilder::CleanupOptionsRepair , which means to identify as well as repair the defects for the input bodies
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

void NXOpen::Facet::CleanupFacetBodyBuilder::SetDistanceTolerance ( double  disTolerance)

Sets the tolerance value use to detect the faults in facet body and fix the same
Created in NX12.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
disTolerancedistolerance
void NXOpen::Facet::CleanupFacetBodyBuilder::SetFoldedEdges ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  foldedEdges)

Sets the option to identify or repair facets having an angle with adjacent facets less than a specified minimum value
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
foldedEdgesfoldededges
void NXOpen::Facet::CleanupFacetBodyBuilder::SetInconsistentNormals ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  inconsistentNormals)

Sets the option to identify or repair normals of neighboring facets or vertices that do not have the right orientation
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
inconsistentNormalsinconsistentnormals
void NXOpen::Facet::CleanupFacetBodyBuilder::SetLaminarSlits ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  laminarSlits)

Sets the option to identify or repair thin holes or slits in the mesh caused by facets not being aligned
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
laminarSlitslaminarslits
void NXOpen::Facet::CleanupFacetBodyBuilder::SetLongFacets ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  longFacets)

Sets the option to identify or repair facets with a ratio of longest to shortest side exceeding a specified value
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
longFacetslongfacets
void NXOpen::Facet::CleanupFacetBodyBuilder::SetMaxRatioLongFacets ( double  maxRatioLongFacets)

Sets the specified value used to define long facets
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
maxRatioLongFacetsmaxratiolongfacets
void NXOpen::Facet::CleanupFacetBodyBuilder::SetMinAngleFoldedFacets ( double  minAngleFoldedFacets)

Sets the minimum angle between adjacent facets to define folded facets
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
minAngleFoldedFacetsminanglefoldedfacets
void NXOpen::Facet::CleanupFacetBodyBuilder::SetOriginalBodyOption ( NXOpen::Facet::CleanupFacetBodyBuilder::OriginalBodyOptions  enumOriginalBodyOption)

Sets the option for handling the input facet bodies
Created in NX11.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
enumOriginalBodyOptionenumoriginalbodyoption
void NXOpen::Facet::CleanupFacetBodyBuilder::SetSelfIntersections ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  selfIntersections)

Sets the option to identify or repair facets of the same mesh intersecting each other
Created in NX10.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
selfIntersectionsselfintersections
void NXOpen::Facet::CleanupFacetBodyBuilder::SetShowInfo ( bool  showInfo)

Sets the option to display numbers of various type of defects identified or repaired in the NXOpen::ListingWindow .

If this option is true, but the program is running externally without UI, display would go to a standard output devicethe. The listing window output can be sent to the Information window or to a file, or to both. See NXOpen::ListingWindow::SelectDevice for more information.


Created in NX10.0.0.

License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
showInfoshowinfo
void NXOpen::Facet::CleanupFacetBodyBuilder::SetThinFacets ( NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions  thinFacets)

Sets the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value
Created in NX11.0.0.



License requirements : studio_free_form ("STUDIO FREE FORM")

Parameters
thinFacetsthinfacets
bool NXOpen::Facet::CleanupFacetBodyBuilder::ShowInfo ( )

Returns the option to display numbers of various type of defects identified or repaired in the NXOpen::ListingWindow .

If this option is true, but the program is running externally without UI, display would go to a standard output devicethe. The listing window output can be sent to the Information window or to a file, or to both. See NXOpen::ListingWindow::SelectDevice for more information.


Created in NX10.0.0.

License requirements : None

NXOpen::Facet::CleanupFacetBodyBuilder::CleanupOptions NXOpen::Facet::CleanupFacetBodyBuilder::ThinFacets ( )

Returns the option to identify or repair facets with with one long edge and two edges with more or the less the same length and a ratio of length to width exceeding a specified value
Created in NX11.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.